ランタイム: Mix::Geometry::Plane Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Mix::Geometry::Plane Class Reference

平面クラス More...

`#include <Plane.h>`

Collaboration diagram for Mix::Geometry::Plane:
[legend]

## Public Member Functions

| Plane (void)
| コンストラクタ More...
| Plane (const Mix::Vector3 &n, Float32 nd)
| コンストラクタ More...
| Plane (const Mix::Vector3 &p1, const Mix::Vector3 &p2, const Mix::Vector3 &p3)
| コンストラクタ More...
void | Normalize (void)
| 正規化します More...

## Static Public Member Functions

static void | Compute (const Mix::Vector3 &p1, const Mix::Vector3 &p2, const Mix::Vector3 &p3, Mix::Geometry::Plane &plane)
| 平面を算出します More...

## Public Attributes

Mix::Vector3 | normal
| 法線 More...
Float32 | d
| 法線と平面上の点の内積 More...

## Detailed Description

平面クラス

## Constructor & Destructor Documentation

Mix::Geometry::Plane::Plane | ( | void |  | ) |

コンストラクタ

Mix::Geometry::Plane::Plane | ( | const Mix::Vector3 & | n,
|  | Float32 | nd
| ) |  |

コンストラクタ

Parameters

  [in] | n | 法線
  [in] | nd | 法線と平面上の点の内積

Mix::Geometry::Plane::Plane | ( | const Mix::Vector3 & | p1,
|  | const Mix::Vector3 & | p2,
|  | const Mix::Vector3 & | p3
| ) |  |

コンストラクタ

Parameters

  [in] | p1 | 平面上の点1
  [in] | p2 | 平面上の点2
  [in] | p3 | 平面上の点3

Note
  点は右回りで指定してください

## Member Function Documentation

void Mix::Geometry::Plane::Normalize | ( | void |  | ) |

正規化します

static void Mix::Geometry::Plane::Compute | ( | const Mix::Vector3 & | p1,
|  | const Mix::Vector3 & | p2,
|  | const Mix::Vector3 & | p3,
|  | Mix::Geometry::Plane & | plane
| ) |  |

static

平面を算出します

Parameters

  [in] | p1 | 平面上の点1
  [in] | p2 | 平面上の点2
  [in] | p3 | 平面上の点3
  [out] | plane | 算出された平面を表す Mix::Geometry::Plane クラス

Note
  点は右回りで指定してください

## Member Data Documentation

Mix::Vector3 Mix::Geometry::Plane::normal

法線

Float32 Mix::Geometry::Plane::d

法線と平面上の点の内積

The documentation for this class was generated from the following file:

- Mix/Geometry/Plane.h